%define upstream_name Test-WWW-Mechanize-CGI
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Test CGI applications with Test::WWW::Mechanize
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(WWW::Mechanize::CGI)
BuildRequires: perl(CGI)
BuildArch: noarch

%description
Provides a convenient way of testing CGI applications without a external
daemon.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Test


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.100.0-7.mga10
+ Revision: 2208017
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.100.0-6.mga9
+ Revision: 1817365
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-5.mga8
+ Revision: 1497613
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-4.mga7
+ Revision: 1272017
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1034799
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 949267
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.1-8.mga5
+ Revision: 789365
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 750038
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 686568
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 515374
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 373904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.1-3.mga1
+ Revision: 41277
- mageia rebuild
- cleaning spec file
- imported package perl-Test-WWW-Mechanize-CGI


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.1-3mdv2010.0
+ Revision: 430601
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2009.0
+ Revision: 268775
- rebuild early 2009.0 package (before pixel changes)

* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdv2009.0
+ Revision: 213782
- import perl-Test-WWW-Mechanize-CGI


* Sat May 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdv2009.0
- first mdv release
